Reset Search
 

 

Article

FN-2019-434, Considerations for SLX 9850 OS Upgrade 32-bit to 64-bit

« Go Back

Information

 
Notice Summary
A newly inserted LineCard (LC) may get into a faulty state with "Incompatible LC" error message seen on console, due to a mismatch of SLX-OS versions when the installed OS on the Management module (MM) and LC are a  mix of 32bit and 64bit OS versions. One of the following errors may be visible from the show slot command: [ FAULTY (97), FAULTY (112), FAULTY (119) ]. While these are the most common errors, please aware that other error numbers may be visible also. A “LC Faulty” error message may be seen on console or raslog. Possible Faulty codes 97, 112 and 119 seen during a mismatch of 32bit vs 64bit on MM and LC are all for the same failure scenario: LC failed to come up. Different modules may display a different code. The differences in error code numbering are only informational for internal Engineering use.

In dual MM systems a mix of SLX-OS 32bit and 64bit is not supported.
Table Figure 1:
Auto Level Support32-bit Linecard (LC)64-bit Linecard (LC)
17r.101a or lower17r.1.01b17r.2.00 or higher
32-bit Mgmt. Module (MM)   
17r.101a or lowerSupportedSupportedNot Supported*
17r.1.01bSupportedSupportedSupported**
64-bit Mgmt. Module (MM)   
17r.2.00 or higherNot Supported*Supported**Supported
* Netinstall can be used to install the 32-bit or 64-bit SLX-OS firmware on the LC to match the MM.
** In the event of a boot failure and a failed auto-level, please revert to the unsupported case and contact GTAC for assistance with a Netinstall to load the appropriate firmware.

Table Figure 2:
Auto Level Support32-bit Mgmt. Module (MM)64-bit Mgmt. Module (MM)
17r.101a or lower17r.1.01b17r.2.00 or higher
32-bit Mgmt. Module (MM)   
17r.101a or lowerSupportedSupportedNot Supported
17r.1.01bSupportedSupportedSupported
64-bit Mgmt. Module (MM)   
17r.2.00 or higherNot SupportedSupportedSupported
NOTE: In the event of a boot failure and a failed auto-level, please revert to the unsupported case and contact GTAC for assistance.
Background
When an SLX 9850 MM is running with SLXOS 17r.2.00 or higher version [64bit OS] release, while the LC has SLXOS 17r.1.01a or lower version [32bit OS] installed, the LC will go into a faulty state with "Incompatible LC" message.

However, if an LC has a later patch release SLXOS 17r.1.01b or later, then the LC will successfully boot up without an "Incompatible LC" error. Only the SLXOS 17r.1.01a or lower SW versions will be faulted as Incompatible LC.

An SLX-OS 32bit MM running 17r.1.01a or lower when inserted into a system running 17r.2.00 or higher version [64bit OS] release will not sync to the active management module.
Impact
Once the LC is faulted with "Incompatible LC" error, it will not boot up successfully.

A dual MM system with a mix of SLX-OS 32bit and 64bit will boot and come up but the HA Sync will not complete.
Products Affected
SLX 9850:
  • BR-SLX9850-MM
  • BR-SLX9850-100GX36CQ-D
  • BR-SLX9850-100GX36CQ-M
  • BR-SLX9850-10GX72S-D
  • BR-SLX9850-10GX72S-M
Software Affected
See above
Symptoms
To verify the versions of SLX-OS installed issue a ‘show version’:
SLX# sh ver
...
Slot    Name    Primary/Secondary Versions                         Status
---------------------------------------------------------------------------
M2      SLX-OS  17r.2.01                                           ACTIVE*
                17r.2.01
L1/0    SLX-OS  17r.2.01                                           ACTIVE
                17r.2.01
L2/0    SLX-OS  16r.1.01                                           STANDBY
                16r.1.01

To verify the status of the LC, issue a ‘show slot’:
 
SLX# sh slot

Slot  Type         Description                 ID      Status
----------------------------------------------------------------------
M2   MM v6        Management Module           179     ENABLED
S1   SFM4 v4      Switch Fabric Module        183     ENABLED
S2   SFM4 v4      Switch Fabric Module        183     ENABLED
S3   SFM4 v4      Switch Fabric Module        183     ENABLED
S4   SFM4 v4      Switch Fabric Module        183     ENABLED
S5   SFM4 v4      Switch Fabric Module        183     ENABLED
S6   SFM4 v4      Switch Fabric Module        183     ENABLED
L1   LC36x100G v6 36-port 100GE card          181     ENABLED
L2   LC36x100G v6 36-port 100GE card          181     FAULTY (119)

To verify the status and versions of the dual MMs issue the ‘show version’ and ‘sh ha status
Commands.

 
Workaround
N/A
Solution
For a LC in the [ FAULTY (xxx) ] state, please contact GTAC Support for assistance to recover this LC using a script to reload the appropriate SLX-OS software version.
 
For a mismatch of MMs, please contact GTAC Support for steps to recover using a ‘netinstall’ procedure. 

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255